microsoft-foundry.rest.security.o-auth2-auth
Indexes
Get a version
GET
/indexes/{name}/versions/{version}
Get the specific version of the Index. The service returns 404 Not Found error if the Index does not exist.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Параметры пути
name
string
обязательно
The name of the resource
version
string
обязательно
The specific version id of the Index to retrieve.
Ответы
The request has succeeded.
Текст
Content-Type: application/json
Один из следующих:
AzureSearch
AzureAISearchIndex
Azure AI Search Index Definition
type
enum
обязательно
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Azure AI Search Index Definition
type
enum
обязательно
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
обязательно
Type of index
CosmosDBNoSqlVectorStore
Запрос
GET /indexes/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json